Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
Posts: 8
Registered: ‎11-16-2009
My Device: Not Specified

Re: BlackBerry Java SDK v7.0 Beta Released

Nice to  try  Blackberry Java SDK 7 ...

New Contributor
Posts: 2
Registered: ‎04-13-2010
My Device: Bold
My Carrier: Sprint

Re: BlackBerry Java SDK v7.0 Beta Released

I am having issues when installing the SDKs, it downloads all the SDKs, and then it asks for my username/password (which I enter my Developer's Zone criteria) and it fails, and asks for the login information again, and again, until it just gives up and errors out as too many login attempts - funny I can go to the Developer's Zone and have no issues logging in with my criteria.

 

If anyone has overcome this situation, or knows how to overcome it, please let me know, so I can update my SDKs - right now I have exhausted all my ideas, and just getting frustrated.

 

Thanks!!!

 

Michael.

Michael Suess
MES Enterprises, LLC
New Developer
Posts: 8
Registered: ‎11-16-2009
My Device: Not Specified

Re: BlackBerry Java SDK v7.0 Beta Released

Hi Michael Suess,

 

Are you downloading Blackberry SDK 7 beta to your eclipse ? if  yes eclipse what you use anyway? I have problem when tried to install to my eclipse ganymede but it works to install to my another eclipse helios.

 

Regards,

Iqbal

New Contributor
Posts: 2
Registered: ‎04-13-2010
My Device: Bold
My Carrier: Sprint

Re: BlackBerry Java SDK v7.0 Beta Released

Thanks for the reply -

 

Well, I attempted installing on my working eclipse JDE (Version: 3.4.2 - Build id: M20090211-1700) [Ganymede] I get:

 

An error occurred while collecting items to be installed

Error closing the output stream for net.rim.ejde.feature.componentpack4.5.0/org.eclipse.update.feature/4.5.0.28 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack4.5.0_4.5.0.285911902780008567530.jar: Invalid zip file format

Error closing the output stream for net.rim.ejde.feature.componentpack4.6.0/org.eclipse.update.feature/4.6.0.23 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack4.6.0_4.6.0.236361091070488577687.jar: Invalid zip file format

Error closing the output stream for net.rim.ejde.feature.componentpack4.6.1/org.eclipse.update.feature/4.6.1.49 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack4.6.1_4.6.1.49787264481378469657.jar: Invalid zip file format

Error closing the output stream for net.rim.ejde.feature.componentpack4.7.0/org.eclipse.update.feature/4.7.0.57 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack4.7.0_4.7.0.578918924171843429878.jar: Invalid zip file format

Error closing the output stream for net.rim.ejde.feature.componentpack5.0.0/org.eclipse.update.feature/5.0.0.25 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack5.0.0_5.0.0.258423687372800304259.jar: Invalid zip file format

Error closing the output stream for net.rim.ejde.feature.componentpack7.0.0/org.eclipse.update.feature/7.0.0.6 on repository file:/C:/RIMEclipse/.

Error unzipping C:\Users\Michael\AppData\Local\Temp\net.rim.ejde.feature.componentpack7.0.0_7.0.0.67633303234778869174.jar: Invalid zip file format

 

Then I attempted with my Helios version (Version: 3.6.2 - Build id: M20110210-1200,) which started downloading and then I received a popup box asking me to enter in my username and password. I proceed to enter in my Developer Zone username/password, and it asks again and again, until it fails with:

 

An error occurred while collecting items to be installed

session context wasSmiley Sadprofile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

Unable to read repository at: https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076... Too many failed login attempts.

Unable to read repository at: https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076... Too many failed login attempts.

Unable to read repository at: https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076... Too many failed login attempts.

Unable to read repository at: https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076... Too many failed login attempts.



Now, granted it is not the latest and greatest version out there, I see another release from April 2011, but I would expect that the Helios version that I have would work.

 

Any and all help is greatly appreciated, as I am only able to develop with the 4.5.0 SDK, which is nice as it produces the most compatible code, well that is until 7.0.0 (I heard that it is not backwards compatible?  That would not be good if my sources are right [hoping they're not.])


Michael Suess
MES Enterprises, LLC
Developer
Posts: 1,006
Registered: ‎05-22-2009
My Device: Not Specified

Re: BlackBerry Java SDK v7.0 Beta Released

Hi Micheal and other Guys.i also came across similar sort of issue,pblm is that we need to give full mail id and password,But the thing in devloper account,you need to give only the username and password it will get thr.So try using the full mail id and password,it works for me.

 

Regards

Rakesh Shankar.P

Regular Contributor
Posts: 94
Registered: ‎04-07-2011
My Device: PlayBook
My Carrier: QED

Re: BlackBerry Java SDK v7.0 Beta Released

I'm looking to setup for Java-based BlackBerry development, starting with the SDK v. 7.0.0.

 

Here is the relevant part of my current Java development setup:

 

- Windows Vista 64-bit

- Oracle JDK 1.6.0_26-b03 (64-bit)

- springsource toolsuite 2.5.1 (an Eclipse Helios IDE), and I have installed the "BlackBerry JDK 7.0" into this

  Eclipse installation, but I see no evidence of it, except when I click RIM's button in the Help / About dialog box;

  however nothing from RIM shows up in the Window / Preferences / Java / Installed JREs dialog box).

 

So, I'm asking MSohm or anyone else in the know, what exactly do I need to change / complete in my setup to develop in Java for BlackBerry SDK 7.0 ? (I have ALSO downloaded the "BlackBerry JDE 7.0.0" installer.)

 

And, in particular:

 

1. Assuming it's possible, what install(s) do I need to make to develop from my existing springsource Eclipse IDE?

2. If that isn't possible, what download installs its own version of the Eclipse IDE c/w the BB JDK 7.0 component?

3. Do I actually need to install a 32-bit version of the Oracle JDK, or,

     Does one of the RIM downloads provide its own JDK, or,

     Can I simply point BlackBerry Java 7.0.0. at my current 64-bit Oracle JDK?

 

TIA for any assistance...

 

BlackBerry Development Advisor
Posts: 15,727
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: BlackBerry Java SDK v7.0 Beta Released

First, download the BlackBerry Java Plug-in for Eclipse full installer here:  http://us.blackberry.com/developers/javaappdev/devtools.jsp

 

This will come with BlackBerry Java SDK 6.0.  Then use the BlackBerry Update Site for Eclipse to install BlackBerry Java SDK 7.0.  Instructions can be found here:  http://us.blackberry.com/developers/javaappdev/javaupdate.jsp

 

Note that our tools do require a 32 bit Oracle JDK.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Regular Contributor
Posts: 67
Registered: ‎03-23-2010
My Device: all BB 7 (incl. prototypes)
My Carrier: MTS-Ukraine

Re: BlackBerry Java SDK v7.0 Beta Released

We have upgraded our project to 7.0 but still stuck with 6.0 development environment on the mac:

http://us.blackberry.com/developers/javaappdev/macosx.jsp

 

When will you release updates to mac tools?

Developer
Posts: 1,178
Registered: ‎02-19-2009
My Device: Not Specified

Re: BlackBerry Java SDK v7.0 Beta Released

Hi,

I noticed that keyRepeat(int keyCode, int time) generates an exception using JDE7,

is this a bug of the beta JDE?

Highlighted
New Contributor
Posts: 2
Registered: ‎04-05-2011
My Device: Curve 8520
My Carrier: Claro PER

Re: BlackBerry Java SDK v7.0 Beta Released

Ok